Skip to content

Get Lifecycle Rules

GET
/datasets/{Dataset_Id}/lifecycle-rule/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/lifecycle-rule/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieve lifecycle rules configured for the dataset’s EOS bucket. Only applicable for datasets with storage_type ‘managed’ or ‘existing_bucket’.

Dataset_Id
required
integer
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Success response with lifecycle rule list.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
deleted
boolean
created_at
string format: date-time
updated_at
string format: date-time
rule_id
string
enabled
boolean
prefix
string
expiry_date_or_days
string
noncurrent_version_expiration_date_or_days
string
transition
string
storage_class
string
tags
string
location
string
bucket
integer
user
integer
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 1711,
"deleted": false,
"created_at": "2026-02-05T10:43:25.612412Z",
"updated_at": "2026-02-05T10:43:25.612430Z",
"rule_id": "b0c6b464474f45eebcd626058ac637e7",
"enabled": true,
"prefix": "",
"expiry_date_or_days": "1",
"noncurrent_version_expiration_date_or_days": "",
"transition": "",
"storage_class": "",
"tags": "",
"location": "Delhi",
"bucket": 16731,
"user": 32970
}
],
"errors": {},
"message": "Success"
}